Subject: bug#6439: `bkqt` <- eval-last-sexp return value => bkqt

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Sun, 03 Jul 2011 04:01:35 +0200

MON KEY <[email-masked]> writes:

> With point after the following:
>
>  `bkqt`
>
> `eval-last-sexp' returns => bkqt
>
> e.g.
>
> (progn
>   (insert "`bkqt`")
>   (apply 'eval-last-sexp '(nil)))

I don't think recursive calls to `eval-last-sexp' are particularly
useful.

The command does some minor Do What I Mean to make it more useful, and
that means that you can make it return odd values if you're doing
something Nobody Could Possibly Mean.

So I don't think this is a bug.

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/